package com.sagacloud.route.processors.Insurance;
/*
 * Author: Jxing
 * Create Time: 2018/7/13
 */

import com.alibaba.fastjson.JSONObject;
import com.sagacloud.Exceptions.InvalidPostException;
import com.sagacloud.pojos.InsurancePost;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;

public class StoreInsuranceNoProcessor implements Processor {
    @Override
    public void process(Exchange exchange) throws Exception {
        String jsonStr = exchange.getIn().getBody(String.class);
        InsurancePost post = JSONObject.parseObject(jsonStr, InsurancePost.class);
        if(post.getProjectId() == null || post.getInsuranceNo() == null || post.getProjectId().length() != 12 || post.getInsuranceNo().length() == 0)
            throw new InvalidPostException("Post参数错误");
        exchange.setProperty("postParam", post);
        exchange.getIn().setBody(jsonStr);
    }
}
